Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1102785 - [engine-backend] [external-provider] engine failure while createVolume task is running in vdsm (as part of importing an image from glance), leaves image in LOCKED state
Summary: [engine-backend] [external-provider] engine failure while createVolume task i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4.1
Assignee: Daniel Erez
QA Contact: Elad
URL:
Whiteboard: storage
Depends On: 1101541
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-29 14:35 UTC by rhev-integ
Modified: 2016-02-10 18:17 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, if the Red Hat Enterprise Virtualization Manager crashed while vdsm was performing createVolume operation, then the disk would get stuck in a locked state. Now, this issue has been fixed an is no longer a problem.
Clone Of: 1101541
Environment:
Last Closed: 2014-07-29 16:23:46 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
logs-30.6.14 (deleted)
2014-06-30 11:23 UTC, Elad
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0960 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.4.1 2014-07-29 20:23:10 UTC
oVirt gerrit 28211 master MERGED core: import glance image - image locked on failure Never
oVirt gerrit 28301 ovirt-engine-3.4 MERGED core: import glance image - image locked on failure Never
oVirt gerrit 29412 master MERGED core: import glance image - update destinationImage status Never
oVirt gerrit 29488 ovirt-engine-3.4 MERGED core: import glance image - update destinationImage status Never
oVirt gerrit 29489 ovirt-engine-3.4.2 ABANDONED core: import glance image - update destinationImage status Never

Comment 2 Elad 2014-06-30 11:23:25 UTC
Created attachment 913337 [details]
logs-30.6.14

Engine sends the right volume uuid to vdsm when it asks it to perform DownloadImage after it crashed while vdsm executed createVolume.


2014-06-30 14:01:35,692 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.DownloadImageVDSCommand] (org.ovirt.thread.pool-6-thread-17) -- executeIrsBrokerCommand: calling 'downloadImage'
2014-06-30 14:01:35,693 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.DownloadImageVDSCommand] (org.ovirt.thread.pool-6-thread-17) -- downloadImage parameters:
                dstSpUUID=f39b1dbe-bb3b-4e2f-ab1d-0428f29d9db6
                dstSdUUID=a2650156-a353-4af7-92a1-d7707dcc379b
                dstImageGUID=d031d83f-9651-4b83-8692-cb1d7f7053e7
                dstVolUUID=2944e501-e372-4883-8295-77aa4e328959
                importLocation=HttpLocationInfo [url=http://glance.ovirt.org:9292/v1/images/7df3c30e-b6b6-49e1-bad9-c9d817049736, headers={}]



But, the disk isn't unlocked after the downloadImage task is finished by vdsm.

I'm not moving the bug to VERIFIED, attaching the relevant logs

Comment 3 Elad 2014-06-30 11:29:53 UTC
Daniel, can you please take a look?

Comment 4 Daniel Erez 2014-06-30 13:22:22 UTC
(In reply to Elad from comment #3)
> Daniel, can you please take a look?

Thanks Elad. There's indeed another issue here. Pushed a patch for addressing it.

Comment 5 Aharon Canan 2014-07-22 15:40:49 UTC
verified using av10.3

Now the disk unlocked after the downloadImage task is finished by vdsm.

Comment 7 errata-xmlrpc 2014-07-29 16:23:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0960.html


Note You need to log in before you can comment on or make changes to this bug.